use std::collections::HashMap;

use serde::{Deserialize, Serialize};

use super::{FamilyId, PotId};

#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct ShareContent {
    pub pots: Vec<PotId>,
}

#[derive(Serialize, Deserialize, Clone, Debug)]
pub enum SharePermissions {
    Read,
    ReadWrite,
    Owner
}
#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct Share {
    pub content: ShareContent,
    pub members: HashMap<FamilyId, SharePermissions>,
}